5.157. libssh2

Updated libssh2 packages that fix one bug are now available for Red Hat Enterprise Linux 6.
The libssh2 packages provide a library that implements the SSH2 protocol.

Bug Fix

BZ#834211
Previously, libssh2 incorrectly returned the LIBSSH2_ERROR_EAGAIN error code when operating in blocking mode. The error code is used by libssh2 internally to initiate a blocking operation on a socket. The error code was, however, not properly cleared on success and leaked through the public API of libssh2. An upstream patch has been applied to clear the error code prior to initiating the blocking operation, and libssh2 no longer returns LIBSSH2_ERROR_EAGAIN when operating in blocking mode.
All users of libssh2 are advised to upgrade to these updated packages, which fix this bug. After installing these updated packages, all running applications using libssh2 have to be restarted for this update to take effect.